package nft.point;

import common.Resp;
import config.Config;
import exception.ZXChainException;
import util.HttpUtil;
import util.Tools;
import util.ZxlSDKUtil;

public class QueryTransferResult {
    String platformPubKey;
    String taskId;

    public QueryTransferResult() {
    }

    public QueryTransferResult(String taskId) {
        this.taskId = taskId;
    }

    public TransferResult query() throws Exception {
        this.setPlatformPubKey(Config.platformPubKey);
        Resp resp = HttpUtil.apiGetJsonX(Config.baseUrl + "/api/v1/nft/point/transfer/result", Tools.getJson(this), ZxlSDKUtil.generateApiSign());
        if (resp.getRetCode() != 0) {
            throw new ZXChainException(resp.getRetMsg());
        }

        return resp.getData(TransferResult.class);
    }

    public String getPlatformPubKey() {
        return platformPubKey;
    }

    public void setPlatformPubKey(String platformPubKey) {
        this.platformPubKey = platformPubKey;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }
}
